Subject: bug#63057: closed (Re: bug#63057: [PATCH core-updates 0/3] Some installer fixes)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Apr 2023 21:13:02 +0000

Your bug report

#63057: [PATCH core-updates 0/3] Some installer fixes

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63057: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63057
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63057: [PATCH core-updates 0/3] Some installer fixes
From: Ludovic Courtès <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Apr 2023 23:12:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Josselin Poiret <[email-masked]> skribis:

> This patchset contains one installer fix (the second patch), while both of the
> other patches are fixes that should make installer debugging slightly easier.
> Since (current-guix) inherits the system's sysconfdir, that config variable
> needs to be set properly as well (so /etc for most installs, and not the
> default /usr/local/etc).  Also, the acl file should be placed by the guix
> service in the correct spot, to account for sysconfdirs different from /etc.

All good ideas.

> NB: I'm testing the new `mumi` CLI with this patchset.

Oh, I need to give it a spin!

>   system: guix: Use config's ACL file location.
>   installer: Filter out C.UTF-8 from the list of locales.
>   doc: Add --sysconfdir=/etc to the recommended ./configure.

Applied, thanks!

Ludo’.

Subject: [PATCH core-updates 0/3] Some installer fixes
From: Josselin Poiret <[email-masked]>
To: [email-masked]
Cc: Josselin Poiret <[email-masked]>
Date: Mon, 24 Apr 2023 21:42:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone,

This patchset contains one installer fix (the second patch), while both of the
other patches are fixes that should make installer debugging slightly easier.
Since (current-guix) inherits the system's sysconfdir, that config variable
needs to be set properly as well (so /etc for most installs, and not the
default /usr/local/etc).  Also, the acl file should be placed by the guix
service in the correct spot, to account for sysconfdirs different from /etc.

NB: I'm testing the new `mumi` CLI with this patchset.

Best,

Josselin Poiret (3):
  system: guix: Use config's ACL file location.
  installer: Filter out C.UTF-8 from the list of locales.
  doc: Add --sysconfdir=/etc to the recommended ./configure.

 doc/contributing.texi    |  2 +-
 gnu/installer/locale.scm |  7 ++++---
 gnu/services/base.scm    | 17 +++++++++--------
 3 files changed, 14 insertions(+), 12 deletions(-)

base-commit: 9e81b4da2d0626426d8d7b392b1e88caf5eb0161
-- 
2.39.2